{% extends "base.html" %}

{% block content %}
    <div class="row">
        <div class="col-6">
            <form class="text-center border border-light p-5" action="" method="post">
                {{ form.hidden_tag() }}
                <p class="h4 mb-4">{{ title }}</p>

                <hr>

                <!-- Old Password -->
                {% if form.old_password.errors %}
                    {{ form.old_password(size=15, class="form-control mt-4 is-invalid", placeholder="Old Password") }}
                    <div class="invalid-feedback" type="password">{{ form.old_password.errors[0] }}</div>
                {% else %}
                    {{ form.old_password(size=15, class="form-control mt-4", type="password", placeholder="Old Password") }}
                {% endif %}

                <!-- New Password -->
                {% if form.new_password.errors %}
                    {{ form.new_password(size=15, class="form-control mt-4 is-invalid", placeholder="New Password") }}
                    <div class="invalid-feedback" type="password">{{ form.new_password.errors[0] }}</div>
                {% else %}
                    {{ form.new_password(size=15, class="form-control mt-4", type="password", placeholder="New Password") }}
                {% endif %}

                <!-- Confirm Password -->
                {% if form.confirm_password.errors %}
                    {{ form.confirm_password(size=15, class="form-control mt-4 is-invalid", placeholder="Confirm Password") }}
                    <div class="invalid-feedback" type="password">{{ form.confirm_password.errors[0] }}</div>
                {% else %}
                    {{ form.confirm_password(size=15, class="form-control mt-4", type="password", placeholder="Confirm Password") }}
                {% endif %}
                <br>
                <!-- Send button -->
                {{ form.submit(class="btn btn-primary btn-block") }}

            </form>
        </div>
    </div>
{% endblock %}